package model

type MapInfoRes struct {
	Msg  string    `json:"msg"`
	Code int       `json:"code"`
	Data []MapInfo `json:"data"`
}

type MapInfo struct {
	MapType      string   `json:"mapType"`
	MapId        string   `json:"mapId"`
	MapName      string   `json:"mapName"`
	Floor        int      `json:"floor"`
	FloorId      string   `json:"floorId"`
	BuildId      string   `json:"buildId"`
	BuildName    string   `json:"buildName"`
	CreateTime   string   `json:"createTime"`
	UpdateTime   string   `json:"updateTime"`
	Version      int      `json:"version"`
	ZipUrl       string   `json:"zipUrl"`
	CustomAreaId int      `json:"customAreaId"`
	SnCodeList   []string `json:"snCodeList"`
}

type MapDeployRes struct {
	Msg  string          `json:"msg"`
	Code int             `json:"code"`
	Data MapDeployStatus `json:"data"`
}

type MapDeployStatus struct {
	MapId  string `json:"mapId"`
	Status int    `json:"status"`
}
