package config

var (
	MapBufFiltersuffixes      = []string{"map.pgm", "map.yaml", "map.json", "forbid_area.json"}
	MapJsonFiltersuffixes     = []string{"map.json"}
	MapBagFiltersuffixes      = []string{"map.bag"}
	BuildMapBagFiltersuffixes = []string{"build_map.bag"}
	OriginMapFiltersuffixes   = []string{"map.pgm", "map.yaml"}
	SimulationFiltersuffixes  = []string{"data.zip", "map.pgm", "map.yaml", "map.bag", "merged_obstacles_new.csv"}
	DataFiltersuffixes        = []string{"data.zip"}
)

const (
	MAP_VALID_FLAG             = 1
	MAP_NOT_VALID_FLAG         = 0
	MAP_RESCAN_FLAG            = 1
	MAP_NOT_RESCAN_FLAG        = 0
	UPDATE_MAP_NOT_UPLOAD_FLAG = 0
	UPDATE_MAP_UPLOAD_FLAG     = 1
	UPDATE_MAP_DEPLOY_FLAG     = 2
	UPDATE_MAP_NOT_VALID_FLAG  = -1
)
